/*
 Copyright 2015-present the Material Components for iOS authors. All Rights Reserved.

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 */

#import <CoreGraphics/CoreGraphics.h>

/** The shadow elevation of the app bar. */
CG_EXTERN const CGFloat MDCShadowElevationAppBar;

/** The shadow elevation of a card in its picked up state. */
CG_EXTERN const CGFloat MDCShadowElevationCardPickedUp;

/** The shadow elevation of a card in its resting state. */
CG_EXTERN const CGFloat MDCShadowElevationCardResting;

/** The shadow elevation of dialogs. */
CG_EXTERN const CGFloat MDCShadowElevationDialog;

/** The shadow elevation of the floating action button in its pressed state. */
CG_EXTERN const CGFloat MDCShadowElevationFABPressed;

/** The shadow elevation of the floating action button in its resting state. */
CG_EXTERN const CGFloat MDCShadowElevationFABResting;

/** The shadow elevation of a menu. */
CG_EXTERN const CGFloat MDCShadowElevationMenu;

/** The shadow elevation of a modal bottom sheet. */
CG_EXTERN const CGFloat MDCShadowElevationModalBottomSheet;

/** The shadow elevation of the navigation drawer. */
CG_EXTERN const CGFloat MDCShadowElevationNavDrawer;

/** No shadow elevation at all. */
CG_EXTERN const CGFloat MDCShadowElevationNone;

/** The shadow elevation of a picker. */
CG_EXTERN const CGFloat MDCShadowElevationPicker;

/** The shadow elevation of the quick entry in the scrolled state. */
CG_EXTERN const CGFloat MDCShadowElevationQuickEntry;

/** The shadow elevation of the quick entry in the resting state. */
CG_EXTERN const CGFloat MDCShadowElevationQuickEntryResting;

/** The shadow elevation of a raised button in the pressed state. */
CG_EXTERN const CGFloat MDCShadowElevationRaisedButtonPressed;

/** The shadow elevation of a raised button in the resting state. */
CG_EXTERN const CGFloat MDCShadowElevationRaisedButtonResting;

/** The shadow elevation of a refresh indicator. */
CG_EXTERN const CGFloat MDCShadowElevationRefresh;

/** The shadow elevation of the right drawer. */
CG_EXTERN const CGFloat MDCShadowElevationRightDrawer;

/** The shadow elevation of the search bar in the resting state. */
CG_EXTERN const CGFloat MDCShadowElevationSearchBarResting;

/** The shadow elevation of the search bar in the scrolled state. */
CG_EXTERN const CGFloat MDCShadowElevationSearchBarScrolled;

/** The shadow elevation of the snackbar. */
CG_EXTERN const CGFloat MDCShadowElevationSnackbar;

/** The shadow elevation of a sub menu (+1 for each additional sub menu). */
CG_EXTERN const CGFloat MDCShadowElevationSubMenu;

/** The shadow elevation of a switch. */
CG_EXTERN const CGFloat MDCShadowElevationSwitch;
